@use '../../../node_modules/@angular/material/index' as mat;
@import "colors-vars";

@mixin theme-background-styles($theme) {

  $color-config: mat.get-color-config($theme);
  $background: mat.define-palette($p-background, 500);

  .bg--color {
    background-color: mat.get-color-from-palette($background, 500)
  }
}

@mixin theme-text-styles($theme) {

  $color-config: mat.get-color-config($theme);
  $primary: map-get($color-config, primary);

  .txt--primary {
    color: mat.get-color-from-palette($primary, 500-contrast)
  }
}
